Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Appel à contributeurs. Réunion pour la refonte du wiki lundi 26 juin

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#26 Le 11/04/2017, à 19:06

ft

Re : [RÉSOLU] Installer Adobe flash player

Bonne nouvelle, ça vient d'intégrer partner release (pour la sortie de Zesty...) :
https://lists.ubuntu.com/archives/zesty … 10396.html


Dell Precision 7510, Ubuntu Gnome 17.10

Hors ligne

#27 Le 11/04/2017, à 21:12

winux

Re : [RÉSOLU] Installer Adobe flash player

Excellent merci


http://i3.tinypic.com/4g8nio8.png
Livebox fibre - 280 Mbps utiles -  Triple  boot : Ubuntu 16.04 & 17.04 / W10 - Ecran : Samsung 22" -
CM : Gigabyte P67A UD3 B3 - CPU : Intel Quad Core i5 3.3 GHz - GPU : nVidia Gigabyte N430
RAM : 4 Go DDR3 - deux HD : 1To chacun

Hors ligne

#28 Le 12/04/2017, à 10:14

winux

Re : [RÉSOLU] Installer Adobe flash player

VICTOIRE
La mise à jour de ce matin de la 17.04 m'a apporté la bonne nouvelle suivante :
   

  Fichier : libflashplayer.so
    Chemin : /usr/lib/adobe-flashplugin/libflashplayer.so
    Version : 25.0.0.148
    État : Activé
    Shockwave Flash 25.0 r0 

Cette fois mon RÉSOLU est pleinement justifié !!
Que ceux qui sont encore en 24 se réjouissent ... comme moi !!
Bonne journée pleine de soleil

Dernière modification par winux (Le 12/04/2017, à 10:15)


http://i3.tinypic.com/4g8nio8.png
Livebox fibre - 280 Mbps utiles -  Triple  boot : Ubuntu 16.04 & 17.04 / W10 - Ecran : Samsung 22" -
CM : Gigabyte P67A UD3 B3 - CPU : Intel Quad Core i5 3.3 GHz - GPU : nVidia Gigabyte N430
RAM : 4 Go DDR3 - deux HD : 1To chacun

Hors ligne

#29 Le 12/04/2017, à 12:49

Coeur Noir

Re : [RÉSOLU] Installer Adobe flash player

ft a écrit :
Coeur Noir a écrit :
ft a écrit :

Et, non, on n'a pas la v. 25 avec adb-fp à moins d'avoir proposed partner activé.

Normal → il faut avoir le dépôt partenaire activé, c'est là que le système ira chercher ce paquet. Ce dépôt est maintenu par Canonical, qui y met à jour les paquets au fur et à mesure. Du coup c'est toujours à jour ( avec un petit décalage temporel le temps que les nouvelles versions soient validées et intégrées au dépôt ) et vu en même temps que les autres mises à jour de ton système.

ft a écrit :

Alors que fp-inst est en v. 25 sans proposed partner.

Normal aussi, ce script télécharge directement la ressource nécessaire chez adobe, au moment où tu l'éxécutes. Gros inconvénient de cette méthode : elle n'est pas mise à jour avec le reste du système, il faut repasser le script manuellement à chaque nouvelle version de flash, laissant grand le risque de traîner une version obsolète.

Les dépôts proposed - sources de nouveautés fraîches mais potentiellement instables car en cours de tests - sont à déconseiller - hors utilisateurs aguerris !

Le dépôt partner est donc LA méthode tranquille. Les autres méthodes requièrent davantage de suivi « manuel ».

Dernière modification par Coeur Noir (Le 12/04/2017, à 12:51)

Hors ligne

#30 Le 12/04/2017, à 13:15

ft

Re : [RÉSOLU] Installer Adobe flash player

Le problème n'était pas là, juste que la v. 25 n'était pas disponible dans partner, quoi que tu en dises. On ne va pas faire une thèse là-dessus, hein.
Il est dispo depuis hier soir, donc maintenant tout va bien.


Dell Precision 7510, Ubuntu Gnome 17.10

Hors ligne

#31 Le 12/04/2017, à 15:01

Coeur Noir

Re : [RÉSOLU] Installer Adobe flash player

Ce n'est pas « quoi que j'en dise » ft. Il y a forcément un peu de temps entre la sortie d'une nouvelle version de flash et son intégration dans le dépôt partner release.

L'intérêt de cette façon de faire est la tranquillité à long terme : dorénavant Winux n'a plus à se soucier de son plugin flash, il sera mis à jour au fur et à mesure des nouvelles versions du plugin moderato le temps nécessaire à leur intégration dans le dépôt. Ce qui n'est pas le cas avec flashplugin-installer, qui n'installe que la version du plugin disponible au moment où on exécute le script : c'est moins « secure ».

Quant à suggérer d'utiliser les dépôts proposed, bof, à moins de se considérer testeur et de savoir gérer les éventuels pépins ( ce qui est peut-être le cas ici puisqu'on parle de 17.04 pas encore sortie officiellement… )

Hors ligne

#32 Le 12/04/2017, à 16:17

nam1962

Re : [RÉSOLU] Installer Adobe flash player

Je plussoie, les proposed contiennent parfois même des trucs pas du tout finis qui servent d'aide mémoire au dev, bref, invitation à la cata !
Au pire pour charger un paquet tout seul, mais jamais de upgrade ou full-upgrade en tous cas !


Almanet doLys de l'open source : mon tuto pour optimiser / finaliser une install
Xubuntu devel - Manjaro unstable - OpenSUSE tumbleweed (GeckoLinux)  Et vous ?
57 convertis  IRL (leur ai pas donné le choix, aussi...).
Un jeune site que j'aime bien, le top du T-shirt homme ...bio et éthique en plus : https://goudronblanc.com

En ligne

#33 Le 12/04/2017, à 18:45

ft

Re : [RÉSOLU] Installer Adobe flash player

Pfff...
Quand "on" affirme à tort qu'un paquet est disponible, quand moi je me contente de dire qu'il n'est dispo que dans partner-proposed (qui, au passage, n'est pas activé en cochant "proposed" dans le gestionnaire de dépôts), puis que ni vu ni connu on me sort que c'est pas bien d'activer les dépôts proposed, j'crois que bon, faut remettre le contexte, HEIN ?


Dell Precision 7510, Ubuntu Gnome 17.10

Hors ligne

#34 Le 12/04/2017, à 19:43

winux

Re : [RÉSOLU] Installer Adobe flash player

Eh les gars on se calme.
J'ai beaucoup appris de vos échanges. Au final mon Pb est résolu et bien résolu en sachant quoi faire et pas faire dans le futur.
Juste une question cette fameuse "25" va aussi être installée sur la 16.04 LTS ?

Au final, vous êtes bons tous les deux, chacun dans votre couloir .... voilà, voilà
Bonne soirée


http://i3.tinypic.com/4g8nio8.png
Livebox fibre - 280 Mbps utiles -  Triple  boot : Ubuntu 16.04 & 17.04 / W10 - Ecran : Samsung 22" -
CM : Gigabyte P67A UD3 B3 - CPU : Intel Quad Core i5 3.3 GHz - GPU : nVidia Gigabyte N430
RAM : 4 Go DDR3 - deux HD : 1To chacun

Hors ligne

#35 Le 12/04/2017, à 20:13

ft

Re : [RÉSOLU] Installer Adobe flash player

(Je comprends ton souci d'apaisement, mais je ne suis pas un enfant ou un coq. Je n'aime pas qu'on travestisse les faits, c'est tout.)


Dell Precision 7510, Ubuntu Gnome 17.10

Hors ligne

#36 Le 12/04/2017, à 20:42

winux

Re : [RÉSOLU] Installer Adobe flash player

Ok Ok
En tout cas vous m'avez bien rendu service tous les 2, merci
@+


http://i3.tinypic.com/4g8nio8.png
Livebox fibre - 280 Mbps utiles -  Triple  boot : Ubuntu 16.04 & 17.04 / W10 - Ecran : Samsung 22" -
CM : Gigabyte P67A UD3 B3 - CPU : Intel Quad Core i5 3.3 GHz - GPU : nVidia Gigabyte N430
RAM : 4 Go DDR3 - deux HD : 1To chacun

Hors ligne

#37 Le 13/04/2017, à 02:23

Coeur Noir

Re : [RÉSOLU] Installer Adobe flash player

ft a écrit :

Quand "on" affirme à tort qu'un paquet est disponible…

roll ma mauvaise foi : il y est maintenant non ? Et il y était déjà pour 14.04 et 16.04 voir l'illustration post #16 ( plugins idem dans Firefox et Chromium ) fallait juste attendre que les mainteneurs du dépôt aient eu le temps de s'en occuper pour la 17.04 - avant sa release finale, quelle idée aussi d'utiliser un produit pas fini.

ft a écrit :

moi je me contente de dire qu'il n'est dispo que dans partner-proposed

Non tu as dit « Pour avoir le paquet à jour, il faut choisir "zesty-proposed" au lieu de "zesty" dans les propriétés du dépôt partner » avoue que ça ressemble à un conseil peu recommandable. Tout  comme d'utiliser flashplugin-installer si on ne pense pas à le ré-exécuter à chaque fois qu'une nouvelle version de flash est mise à disposition par Adobe.

L'idée c'était d'être précis et prudent, pas de te vexer, euh désolé si ça a été perçu autrement ( des edit's entre parenthèse dans mes posts, pour préciser du coup ).

Dernière modification par Coeur Noir (Le 13/04/2017, à 02:49)

Hors ligne

#38 Le 13/04/2017, à 02:30

Coeur Noir

Re : [RÉSOLU] Installer Adobe flash player

winux a écrit :

cette fameuse "25" va aussi être installée sur la 16.04 LTS ?

Oui, les dépôts partner ont été mis à jour à peu près en même temps pour les versions 14.04 et 16.04 - constatés sur mes ordis aujourd'hui - ils proposaient la 25.0.0.127 le 11/4, ils proposent la 25.0.0148 aujourd'hui.
mini_845796Capturedu20170413023439.png
…capture d'une 14.04.

Dernière modification par Coeur Noir (Le 13/04/2017, à 02:39)

Hors ligne

#39 Le 13/04/2017, à 08:30

ft

Re : [RÉSOLU] Installer Adobe flash player

Coeur Noir a écrit :

Tout  comme d'utiliser flashplugin-installer si on ne pense pas à le ré-exécuter à chaque fois qu'une nouvelle version de flash est mise à disposition par Adobe.

Mais bon sang, flashplugin-installer se met à jour aussi et donc télécharge la version de flash correspondante sans avoir à le réinstaller ! Tout de même, les fake news ça suffit.

Preuve :

flashplugin-nonfree (25.0.0.148ubuntu0.16.04.1) xenial-security; urgency=medium

  * New upstream release 25.0.0.148
    - debian/flashplugin-installer.{config,postinst},
      debian/post-download-hook: Updated version and sha256sum

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 11 Apr 2017 14:25:17 +0100

flashplugin-nonfree (25.0.0.127ubuntu0.16.04.1) xenial-security; urgency=medium

  * New upstream release 25.0.0.127
    - debian/flashplugin-installer.{config,postinst},
      debian/post-download-hook: Updated version and sha256sum

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 13 Mar 2017 18:31:50 +0000

flashplugin-nonfree (24.0.0.221ubuntu0.16.04.1) xenial-security; urgency=medium

  * New upstream release 24.0.0.194
    - debian/flashplugin-installer.{config,postinst},
      debian/post-download-hook: Updated version and sha256sum

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 15 Feb 2017 20:19:36 +0000

flashplugin-nonfree (24.0.0.194ubuntu0.16.04.1) xenial-security; urgency=medium

  * New upstream release 24.0.0.194
    - debian/flashplugin-installer.{config,postinst},
      debian/post-download-hook: Updated version and sha256sum

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 09 Jan 2017 15:51:00 +0000

flashplugin-nonfree (24.0.0.186ubuntu0.16.04.1) xenial-security; urgency=medium

  * New upstream release 24.0.0.186
    - debian/flashplugin-installer.{config,postinst},
      debian/post-download-hook: Updated version and sha256sum

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 13 Dec 2016 11:56:35 +0000

flashplugin-nonfree (11.2.202.644ubuntu0.16.04.1) xenial-security; urgency=medium

  * New upstream release 11.2.202.644
    - debian/flashplugin-installer.{config,postinst},
      debian/post-download-hook: Updated version and sha256sum

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 08 Nov 2016 14:00:27 +0000

Dell Precision 7510, Ubuntu Gnome 17.10

Hors ligne

#40 Le 13/04/2017, à 09:06

winux

Re : [RÉSOLU] Installer Adobe flash player

winux a écrit :

cette fameuse "25" va aussi être installée sur la 16.04 LTS ?

Coeur Noir a écrit :

Oui, les dépôts partner ont été mis à jour à peu près en même temps pour les versions 14.04 et 16.04.

Merci bien noté


http://i3.tinypic.com/4g8nio8.png
Livebox fibre - 280 Mbps utiles -  Triple  boot : Ubuntu 16.04 & 17.04 / W10 - Ecran : Samsung 22" -
CM : Gigabyte P67A UD3 B3 - CPU : Intel Quad Core i5 3.3 GHz - GPU : nVidia Gigabyte N430
RAM : 4 Go DDR3 - deux HD : 1To chacun

Hors ligne

#41 Le 13/04/2017, à 13:17

Coeur Noir

Re : [RÉSOLU] Installer Adobe flash player

Ft qui de nous deux est le plus têtu lol il m'a toujours semblé que flashplugin-installer sous Ubuntu n'était qu'un « emballage » pour flashplugin-nonfree de Debian http://packages.ubuntu.com/trusty-updat … -installer

Or flashplugin-nonfree dispose de ces commandes :

pour mettre à jour le plugin

sudo update-flashplugin-nonfree --install

pour voir la version du plugin

sudo update-flashplugin-nonfree --status

pour supprimer le plugin flash

sudo update-flashplugin-nonfree --uninstall

pour, enfin, le désinstaller

sudo apt remove flashplugin-nonfree

https://wiki.debian.org/fr/FlashPlayer

Tu es sûr à 100% qu'une fois installé via fp-installer, le plugin Adobe continue d'être maintenu et monte automatiquement de version sans avoir à relancer fp-installer ???
Si c'est bien le cas, pourquoi la doc' ne le conseille plus ?

Et si c'est bien le cas, je te dois au choix non exclusif ni exhaustif :
- un café
- une bière
- un apéro
- un gâteau
- des excuses
!!!

Par contre si ça marche bien comme ce que j'ai cru constater ( vu le nombre de fils autour de flash où j'ai fait enlever le fp-installer ) - c'est à dire qu'il installe une fois à la version du moment sans maintenir à jour par la suite car seul l'installeur est mis à jour et pas le plugin précédemment installé - bah je prendrais une Orval.

Hors ligne

#42 Le 13/04/2017, à 14:20

ft

Re : [RÉSOLU] Installer Adobe flash player

Ce n'est pas moi qui suis têtu, mais les faits ! tongue
Donc, oui, fp-installer se met à jour comme n'importe quel paquet et télécharge la version de Flash ici identique à la version du paquet, donc mise à jour. Au passage, fp-installer télécharge Flash depuis le dépôt partner (extrait du paquet adb-fp !) et non pas depuis Adobe... J'ai testé sous Firefox (pour être sûr...) en mettant un vieux plugin en v. 11 puis réinstallé fp-installer (pas désinstallé-installé) et le plugin est bien màj.

Pour les recommandations, tout ce que je sais c'est que chromium-browser suggère adb-fp alors que ubuntu-restricted-addons suggère fp-installer. Bref, il y aurait certainement intérêt à ce qu'un des deux paquets n'existe plus...
Apparemment adb-fp installe le plugin pour d'autres navigateurs que Firefox, lui.


Dell Precision 7510, Ubuntu Gnome 17.10

Hors ligne

#43 Le 13/04/2017, à 23:48

Coeur Noir

Re : [RÉSOLU] Installer Adobe flash player

Mmm… non suis toujours pas convaincu : dans les fait du jour tu as 1) mis à jour tes paquets puis 2) réinstallé fp-installer donc ça te met la version actuelle de flash. Jusque là c'est logique : réinstaller = relancer le script de téléchargement = nouveau plugin flash. De plus c'est une série d'actions que tu as initiée manuellement.

Maintenant, en partant de cet état de fait, que se passera-t-il dans quelques semaines quand une nouvelle version du plugin flash sera disponible ? Il faudra bien que tu relances / réinstalles fp-installer sans quoi il n'installera pas le plugin flash pour Firefox tout seul ? Si ? C'est vraiment ce point qui m'intrigue. Tu n'y touches plus pendant 6 mois pour voir ? big_smile

Pour moi c'était ça LE gros avantage de adb-fp : la version du plugin flash monte dans Firefox ( et Chromium et la plupart de ses dérivés ) dès la mise à jour du paquet. Donc c'est transparent d'un seul jet comme les autres mises à jour système, sans autre intervention de l'utilisateur → sytème à jour = plugin flash à jour dans les navigateurs → simple.

Avec ta dernière description j'ai toujours l'impression qu'il faut viser spécifiquement le paquet fp-installer. Autrement dit sans la réinstallation de fp-installer, ton Firefox présenterait toujours un flash en v11, alors que le paquet fp-installer aurait été, lui, bien à jour → système à jour ≠ plugin flash à jour dans Firefox → trompeur.

Quant à « Au passage, fp-installer télécharge Flash depuis le dépôt partner (extrait du paquet adb-fp !) » je suppose que c'est justement la différence entre fp-installer ( ubuntu ) et son paquet source flashplugin-nonfree ( debian ) : le debian pioche direct chez Adobe ah non, plutôt dans le dépôt debian contrib.

Dernière modification par Coeur Noir (Le 14/04/2017, à 00:08)

Hors ligne

#44 Le 14/04/2017, à 07:31

ft

Re : [RÉSOLU] Installer Adobe flash player

Alors déjà je n'ai pas pu simuler une màj parce que les anciennes versions de fp-installer ne sont plus installables (puisque les plugins obsolètes qu'elles cherchent ne sont plus disponibles).

Ensuite, comment croire une seule seconde que Chris Coulson de Canonical puisse avoir l'idée tordue de numéroter ce paquet fp-installer comme une version de Flash qui, elle, ne serait pas mise à jour lorsque tu mets à jour ledit paquet ? Le paquet n'est pas le flashplugin-nonfree de Debian (qui est mis à jour tous les deux ans ~), la configuration des paquets n'est d'ailleurs pas la même (cf. le script "config" de fp-installer, qui contient bien la version d'avril de Flash).

Mettre à jour le paquet causera un nouveau téléchargement du plugin Flash (because la version est dans le script config) et, soit dit en passant, j'ai fonctionné ces derniers temps (1 an ?) avec le paquet fp-installer sans que mon plugin Flash devienne obsolète (sinon tu sais bien que Firefox devient grognon et te le signale).


Dell Precision 7510, Ubuntu Gnome 17.10

Hors ligne

#45 Le 14/04/2017, à 13:15

Alex10336

Re : [RÉSOLU] Installer Adobe flash player

Sujet résolu, osef non ?

Dernière modification par Alex10336 (Le 14/04/2017, à 13:16)


« On ne répond pas à une question par une autre question. » (moi ;-) )

Hors ligne

#46 Le 14/04/2017, à 13:19

ft

Re : [RÉSOLU] Installer Adobe flash player

ben si tutef tu lis pas, non ? Peut-être que nous ça nous intéresse, d'autant que c'est assez lié au sujet de ce fil...


Dell Precision 7510, Ubuntu Gnome 17.10

Hors ligne

#47 Le 14/04/2017, à 23:00

Coeur Noir

Re : [RÉSOLU] Installer Adobe flash player

ft a écrit :

Mettre à jour le paquet causera un nouveau téléchargement du plugin Flash (because la version est dans le script config) et, soit dit en passant, j'ai fonctionné ces derniers temps (1 an ?) avec le paquet fp-installer sans que mon plugin Flash devienne obsolète (sinon tu sais bien que Firefox devient grognon et te le signale).

Ok ! Effectivement fofox aurait hurlé ! Ça fait bien plus d'un an que je n'ai pas utilisé fp-installer… j'en viens à me demander s'il a toujours fonctionné comme ça ou si c'est moi qui l'ai toujours confondu avec ( le fonctionnement de ) flashpplugin-nonfree.

Bon bah au plaisir de te croiser pour règler mes dettes lol !

Il reste pour avantage à adobe-flashplugin de faire le boulot pour Firefox ET Chromium ( et bon nombre de ses dérivés ).

Dernière modification par Coeur Noir (Le 14/04/2017, à 23:00)

Hors ligne

#48 Le 15/04/2017, à 10:45

ptitnouveau

Re : [RÉSOLU] Installer Adobe flash player

Bonjour à tous.

C'est peut-être une question idiote, mais pourquoi vous n'utilisez pas Gnash ?

http://packages.ubuntu.com/zesty/gnash

A priori l'installation sera plus simple que pour le lecteur d'Adobe (qui nécessite deux pages d'explications). Il est développé par la communauté Linux, donc il devrait s'adapter plus facilement au système. Je l'utilise depuis 2012 et je n'ai jamais eu de problèmes. Si c'est juste pour voir des vidéos sur YouTube, ça devrait faire l'affaire.

Hors ligne

#49 Le 15/04/2017, à 12:06

ft

Re : [RÉSOLU] Installer Adobe flash player

L'installation du lecteur d'Adobe est très simple, on discute simplement des deux paquets qui s'en occupent.
Je n'ai jamais testé (ou peut-être il y a trèèèès longtemps) Gnash. Je doute que certains sites soient contents avec... Franchement, https://doc.ubuntu-fr.org/gnash n'incite pas vraiment à l'utiliser !
Et pour YouTube, le html5 fait bien son affaire, non ?


Dell Precision 7510, Ubuntu Gnome 17.10

Hors ligne

#50 Le 15/04/2017, à 12:34

Alex10336

Re : [RÉSOLU] Installer Adobe flash player

ft a écrit :

ben si tutef tu lis pas, non ? Peut-être que nous ça nous intéresse, d'autant que c'est assez lié au sujet de ce fil...

« tutef » ?
- Sujet sur un problème résolu lié a l'installation de flash sur zesty.
- Débat / géguerre sur différents paquets pour installer flash. (et pas vraiment de lien avec zesty)

m'a fois pourquoi pas, hein wink

Après le forum va bientôt être fermé de toute façon...


« On ne répond pas à une question par une autre question. » (moi ;-) )

Hors ligne